<p align="center">
  <h1 align="center">Huawei Analytics Flutter Plugin</h1>
</p>


<p align="center">
  <a href="https://pub.dev/packages/huawei_analytics"><img src="https://img.shields.io/pub/v/huawei_analytics?style=for-the-badge" alt="pub.dev version"></a>
</p>

----

This plugin enables communication between Huawei Analytics SDK and Flutter platform. 

Analytics Kit offers you a range of preset analytics models so you can gain a deeper insight into your users, products, and content. With this insight, you can take a data-driven approach to market your apps and optimize your products.

##### **With Analytics Kit's on-device data collection SDK, you can:**

- Track and report on custom events.

- Set up to 25 user attributes.

- Automate event collection and session calculation.

- Preset event IDs and parameters.

##### Use Case

- Analyze user behavior using both predefined and custom events.

- Use audience building to tailor your marketing activity to your users' behaviors and preferences.

- Use dashboards and analytics to measure your marketing activity and identify areas to improve.

[Learn More](https://developer.huawei.com/consumer/en/doc/development/HMS-Plugin-Guides/introduction-0000001050169136?ha_source=hms1)


## Installation

Please see [pub.dev](https://pub.dev/packages/huawei_analytics/install) and [AppGallery Connect Configuration](https://developer.huawei.com/consumer/en/doc/development/HMS-Plugin-Guides/config-agc-0000001050171095?ha_source=hms1).

## Documentation

- [Quick Start](https://developer.huawei.com/consumer/en/doc/development/HMS-Plugin-Guides/initializing-analytics-kit-0000001058525725?ha_source=hms1)
- [Reference](https://developer.huawei.com/consumer/en/doc/development/HMS-Plugin-References/overview-0000001050176764?ha_source=hms1)

### Additional Topics

- [Enabling Huawei Analytics Service](https://developer.huawei.com/consumer/en/doc/development/HMS-Plugin-Guides/config-agc-0000001050171095#EN-US_TOPIC_0000001050171095__section118755594146?ha_source=hms1)
- Setup
  - [Android Setup](https://developer.huawei.com/consumer/en/doc/development/HMS-Plugin-Guides/android-setup-0000001058644236?ha_source=hms1)
  - [iOS Setup](https://developer.huawei.com/consumer/en/doc/development/HMS-Plugin-Guides/ios-setup-0000001058804234?ha_source=hms1)
- Debugging
  - [Using Debug Mode Android](https://developer.huawei.com/consumer/en/doc/development/HMS-Plugin-Guides/android-setup-0000001058644236#EN-US_TOPIC_0000001058644236__section216115895319?ha_source=hms1)
  - [Using Debug Mode iOS](https://developer.huawei.com/consumer/en/doc/development/HMS-Plugin-Guides/ios-setup-0000001058804234#EN-US_TOPIC_0000001058804234__section166659381319?ha_source=hms1)
- [Accessing Analytics Kit](https://developer.huawei.com/consumer/en/doc/development/HMS-Plugin-Guides/initializing-analytics-kit-0000001058525725?ha_source=hms1)


## Questions or Issues

If you have questions about how to use HMS samples, try the following options:

- [Stack Overflow](https://stackoverflow.com/questions/tagged/huawei-mobile-services) is the best place for any programming questions. Be sure to tag your question with **huawei-mobile-services**.
- [Github](https://github.com/HMS-Core/hms-flutter-plugin) is the official repository for these plugins, You can open an issue or submit your ideas.
- [Huawei Developer Forum](https://forums.developer.huawei.com/forumPortal/en/home?fid=0101187876626530001&ha_source=hms1) HMS Core Module is great for general questions, or seeking recommendations and opinions.
- [Huawei Developer Docs](https://developer.huawei.com/consumer/en/doc/overview/HMS-Core-Plugin?ha_source=hms1) is place to official documentation for all HMS Core Kits, you can find detailed documentations in there.

If you run into a bug in our samples, please submit an issue to the Github Repository.

## License

Huawei Analytics Flutter Plugin is licensed under [Apache 2.0 license](LICENSE)